c      kpds(5) mnomonics

       block data

       character*8 kpds5(0:255)
       common /cname5/kpds5

       data kpds5(0)/" "/
c      Pressure                            
       data kpds5(1)/"PRES"/
c      Pressure reduced to MSL             
       data kpds5(2)/"PRMSL"/
c      Pressure tendency                   
       data kpds5(3)/"PTEND"/
       data kpds5(4)/" "/
       data kpds5(5)/" "/
c      Geopotential                        
       data kpds5(6)/"GP"/
c      Geopotential height                 
       data kpds5(7)/"HGT"/
c      Geometric height                    
       data kpds5(8)/"DIST"/
c      Standard deviation of height        
       data kpds5(9)/"HSTDV"/
c      Variance of height                  
       data kpds5(10)/"HVAR"/
c      Temperature                         
       data kpds5(11)/"TMP"/
c      Virtual temperature                 
       data kpds5(12)/"VTMP"/
c      Potential temperature               
       data kpds5(13)/"POT"/
c      Pseudo-adiabatic potential temperatu
       data kpds5(14)/"EPOT"/
c      Maximum temperature                 
       data kpds5(15)/"TMAX"/
c      Minimum temperature                 
       data kpds5(16)/"TMIN"/
c      Dew point temperature               
       data kpds5(17)/"DPT"/
c      Dew point depression                
       data kpds5(18)/"DEPR"/
c      Lapse rate                          
       data kpds5(19)/"LAPR"/
c      Visibility                          
       data kpds5(20)/"VISIB"/
c      Radar spectra (1)                   
       data kpds5(21)/"RDSP1"/
c      Radar spectra (2)                   
       data kpds5(22)/"RDSP2"/
c      Radar spectra (3)                   
       data kpds5(23)/"RDSP3"/
       data kpds5(24)/" "/
c      Temperature anomaly                 
       data kpds5(25)/"TMPA"/
c      Pressure anomaly                    
       data kpds5(26)/"PRESA"/
c      Geopotential height anomaly         
       data kpds5(27)/"GPA"/
c      Wave spectra (1)                    
       data kpds5(28)/"WVSP1"/
c      Wave spectra (2)                    
       data kpds5(29)/"WVSP2"/
c      Wave spectra (3)                    
       data kpds5(30)/"WVSP3"/
c      Wind direction                      
       data kpds5(31)/"WDIR"/
c      Wind speed                          
       data kpds5(32)/"WIND"/
c      u wind                              
       data kpds5(33)/"UGRD"/
c      v wind                              
       data kpds5(34)/"VGRD"/
c      Stream function                     
       data kpds5(35)/"STRM"/
c      Velocity potential                  
       data kpds5(36)/"VPOT"/
c      Montgomery stream function          
       data kpds5(37)/"MNTSF"/
c      Sigma coord. vertical velocity      
       data kpds5(38)/"SGCVV"/
c      Pressure vertical velocity          
       data kpds5(39)/"VVEL"/
c      Geometric vertical velocity         
       data kpds5(40)/"DZDT"/
c      Absolute vorticity                  
       data kpds5(41)/"ABSV"/
c      Absolute divergence                 
       data kpds5(42)/"ABSD"/
c      Relative vorticity                  
       data kpds5(43)/"RELV"/
c      Relative divergence                 
       data kpds5(44)/"RELD"/
c      Vertical u shear                    
       data kpds5(45)/"VUCSH"/
c      Vertical v shear                    
       data kpds5(46)/"VVCSH"/
c      Direction of current                
       data kpds5(47)/"DIRC"/
c      Speed of current                    
       data kpds5(48)/"SPC"/
c      u of current                        
       data kpds5(49)/"UOGRD"/
c      v of current                        
       data kpds5(50)/"VOGRD"/
c      Specific humidity                   
       data kpds5(51)/"SPFH"/
c      Relative humidity                   
       data kpds5(52)/"RH"/
c      Humidity mixing ratio               
       data kpds5(53)/"MIXR"/
c      Precipitable water                  
       data kpds5(54)/"PWAT"/
c      Vapor pressure                      
       data kpds5(55)/"VAPP"/
c      Saturation deficit                  
       data kpds5(56)/"SATD"/
c      Evaporation                         
       data kpds5(57)/"EVP"/
c      Cloud Ice                           
       data kpds5(58)/"CICE"/
c      Precipitation rate                  
       data kpds5(59)/"PRATE"/
c      Thunderstorm probability            
       data kpds5(60)/"TSTM"/
c      Total precipitation                 
       data kpds5(61)/"APCP"/
c      Large scale precipitation           
       data kpds5(62)/"NCPCP"/
c      Convective precipitation            
       data kpds5(63)/"ACPCP"/
c      Snowfall rate water equivalent      
       data kpds5(64)/"SRWEQ"/
c      Water equiv. of accum. snow depth   
       data kpds5(65)/"WEASD"/
c      Snow depth                          
       data kpds5(66)/"SNOD"/
c      Mixed layer depth                   
       data kpds5(67)/"MIXHT"/
c      Transient thermocline depth         
       data kpds5(68)/"TTHDP"/
c      Main thermocline depth              
       data kpds5(69)/"MTHD"/
c      Main thermocline anomaly            
       data kpds5(70)/"MTHA"/
c      Total cloud cover                   
       data kpds5(71)/"TCDC"/
c      Convective cloud cover              
       data kpds5(72)/"CDCON"/
c      Low level cloud cover               
       data kpds5(73)/"LCDC"/
c      Mid level cloud cover               
       data kpds5(74)/"MCDC"/
c      High level cloud cover              
       data kpds5(75)/"HCDC"/
c      Cloud water                         
       data kpds5(76)/"CWAT"/
       data kpds5(77)/" "/
c      Convective snow                     
       data kpds5(78)/"SNOC"/
c      Large scale snow                    
       data kpds5(79)/"SNOL"/
c      Water temperature                   
       data kpds5(80)/"WTMP"/
c      Land-sea mask (1=land; 0=sea)       
       data kpds5(81)/"LAND"/
c      Deviation of sea level from mean    
       data kpds5(82)/"DSLM"/
c      Surface roughness                   
       data kpds5(83)/"SFCR"/
c      Albedo                              
       data kpds5(84)/"ALBDO"/
c      Soil temperature                    
       data kpds5(85)/"TSOIL"/
c      Soil moisture content               
       data kpds5(86)/"SOILM"/
c      Vegetation                          
       data kpds5(87)/"VEG"/
c      Salinity                            
       data kpds5(88)/"SALTY"/
c      Density                             
       data kpds5(89)/"DEN"/
c      Runoff                              
       data kpds5(90)/"RUNOF"/
c      Ice concentration (ice=1; no ice=0) 
       data kpds5(91)/"ICEC"/
c      Ice thickness                       
       data kpds5(92)/"ICETK"/
c      Direction of ice drift              
       data kpds5(93)/"DICED"/
c      Speed of ice drift                  
       data kpds5(94)/"SICED"/
c      u of ice drift                      
       data kpds5(95)/"UICE"/
c      v of ice drift                      
       data kpds5(96)/"VICE"/
c      Ice growth                          
       data kpds5(97)/"ICEG"/
c      Ice divergence                      
       data kpds5(98)/"ICED"/
c      Snow melt                           
       data kpds5(99)/"SNOM"/
c      Sig height of wind waves and swell  
       data kpds5(100)/"HTSGW"/
c      Direction of wind waves             
       data kpds5(101)/"WVDIR"/
c      Significant height of wind waves    
       data kpds5(102)/"WVHGT"/
c      Mean period of wind waves           
       data kpds5(103)/"WVPER"/
c      Direction of swell waves            
       data kpds5(104)/"SWDIR"/
c      Significant height of swell waves   
       data kpds5(105)/"SWELL"/
c      Mean period of swell waves          
       data kpds5(106)/"SWPER"/
c      Primary wave direction              
       data kpds5(107)/"DIRPW"/
c      Primary wave mean period            
       data kpds5(108)/"PERPW"/
c      Secondary wave direction            
       data kpds5(109)/"DIRSW"/
c      Secondary wave mean period          
       data kpds5(110)/"PERSW"/
c      Net short wave radiation (surface)  
       data kpds5(111)/"NSWRS"/
c      Net long wave radiation (surface)   
       data kpds5(112)/"NLWRS"/
c      Net short wave radiation (top)      
       data kpds5(113)/"NSWRT"/
c      Net long wave radiation (top)       
       data kpds5(114)/"NLWRT"/
c      Long wave radiation                 
       data kpds5(115)/"LWAVR"/
c      Short wave radiation                
       data kpds5(116)/"SWAVR"/
c      Global radiation                    
       data kpds5(117)/"GRAD"/
       data kpds5(118)/" "/
       data kpds5(119)/" "/
       data kpds5(120)/" "/
c      Latent heat flux                    
       data kpds5(121)/"LHTFL"/
c      Sensible heat flux                  
       data kpds5(122)/"SHTFL"/
c      Boundary layer dissipation          
       data kpds5(123)/"BLYDP"/
c      Zonal component of momentum flux    
       data kpds5(124)/"UFLX"/
c      Meridional component of momentum flu
       data kpds5(125)/"VFLX"/
c      Wind mixing energy                  
       data kpds5(126)/"WMIXE"/
c      Image data                          
       data kpds5(127)/"IMGD"/
c      Mean sea level pressure (Std Atm)   
       data kpds5(128)/"MSLSA"/
c      Mean sea level pressure (MAPS)      
       data kpds5(129)/"MSLMA"/
c      Mean sea level pressure (ETA model) 
       data kpds5(130)/"MSLET"/
c      Surface lifted index                
       data kpds5(131)/"LFTX"/
c      Best (4-layer) lifted index         
       data kpds5(132)/"4LFTX"/
c      K index                             
       data kpds5(133)/"KX"/
c      Sweat index                         
       data kpds5(134)/"SX"/
c      Horizontal moisture divergence      
       data kpds5(135)/"MCONV"/
c      Vertical speed shear                
       data kpds5(136)/"VSSH"/
c      3-hr pressure tendency              
       data kpds5(137)/"TSLSA"/
c      Brunt-Vaisala frequency squared     
       data kpds5(138)/"BVF2"/
c      Potential vorticity (mass-weighted) 
       data kpds5(139)/"PVMW"/
c      Categorical rain (yes=1;no=0)       
       data kpds5(140)/"CRAIN"/
c      Categorical freezing rain (yes=1;no=
       data kpds5(141)/"CFRZR"/
c      Categorical ice pellets (yes=1;no=0)
       data kpds5(142)/"CICEP"/
c      Categorical snow (yes=1;no=0)       
       data kpds5(143)/"CSNOW"/
c      Volumetric soil moisture content    
       data kpds5(144)/"SOILW"/
c      Potential evaporation rate          
       data kpds5(145)/"PEVPR"/
c      Cloud work function                 
       data kpds5(146)/"CWORK"/
c      Zonal gravity wave stress           
       data kpds5(147)/"U-GWD"/
c      Meridional gravity wave stress      
       data kpds5(148)/"V-GWD"/
c      Potential vorticity                 
       data kpds5(149)/"PV___"/
       data kpds5(150)/" "/
       data kpds5(151)/" "/
       data kpds5(152)/" "/
c      Moisture flux divergence            
       data kpds5(153)/"MFXDV"/
       data kpds5(154)/" "/
c      Ground heat flux                    
       data kpds5(155)/"GFLUX"/
c      Convective inhibition               
       data kpds5(156)/"CIN"/
c      Convective Available Potential Energ
       data kpds5(157)/"CAPE"/
c      Turbulent kinetic energy            
       data kpds5(158)/"TKE"/
c      Condensation pressure of lifted parc
       data kpds5(159)/"CONDP"/
c      Clear sky upward solar flux         
       data kpds5(160)/"CSUSF"/
c      Clear sky downward solar flux       
       data kpds5(161)/"CSDSF"/
c      Clear sky upward long wave flux     
       data kpds5(162)/"CSULF"/
c      Clear sky downward long wave flux   
       data kpds5(163)/"CSDLF"/
c      Cloud forcing net solar flux        
       data kpds5(164)/"CFNSF"/
c      Cloud forcing net long wave flux    
       data kpds5(165)/"CFNLF"/
c      Visible beam downward solar flux    
       data kpds5(166)/"VBDSF"/
c      Visible diffuse downward solar flux 
       data kpds5(167)/"VDDSF"/
c      Near IR beam downward solar flux    
       data kpds5(168)/"NBDSF"/
c      Near IR diffuse downward solar flux 
       data kpds5(169)/"NDDSF"/
c      U wind stress                       
       data kpds5(170)/"USTR"/
c      V wind stress                       
       data kpds5(171)/"VSTR"/
c      Momentum flux                       
       data kpds5(172)/"MFLX"/
c      Mass point model surface            
       data kpds5(173)/"LMH"/
c      Velocity point model surface        
       data kpds5(174)/"LMV"/
c      Nearby model level                  
       data kpds5(175)/"SGLYR"/
c      Latitude                            
       data kpds5(176)/"NLAT"/
c      Longitude                           
       data kpds5(177)/"NLON"/
c      Mass weighted u                     
       data kpds5(178)/"UMAS"/
c      Mass weighted v                     
       data kpds5(179)/"VMAS"/
       data kpds5(180)/" "/
c      x-gradient of log pressure          
       data kpds5(181)/"LPSX"/
c      y-gradient of log pressure          
       data kpds5(182)/"LPSY"/
c      x-gradient of height                
       data kpds5(183)/"HGTX"/
c      y-gradient of height                
       data kpds5(184)/"HGTY"/
c      Standard deviation of Geop. hgt.    
       data kpds5(185)/"STDZ"/
c      Standard deviation of zonal wind    
       data kpds5(186)/"STDU"/
c      Standard deviation of meridional win
       data kpds5(187)/"STDV"/
c      Standard deviation of spec. hum.    
       data kpds5(188)/"STDQ"/
c      Standard deviation of temperature   
       data kpds5(189)/"STDT"/
c      Covariance between u and omega      
       data kpds5(190)/"CBUW"/
c      Covariance between v and omega      
       data kpds5(191)/"CBVW"/
c      Covariance between u and specific hu
       data kpds5(192)/"CBUQ"/
c      Covariance between v and specific hu
       data kpds5(193)/"CBVQ"/
c      Covariance between T and omega      
       data kpds5(194)/"CBTW"/
c      Covariance between spec. hum and ome
       data kpds5(195)/"CBQW"/
c      Covariance between v and u          
       data kpds5(196)/"CBMZW"/
c      Covariance between u and T          
       data kpds5(197)/"CBTZW"/
c      Covariance between v and T          
       data kpds5(198)/"CBTMW"/
c      Standard deviation of Rel. Hum.     
       data kpds5(199)/"STDRH"/
c      Std dev of time tend of geop. hgt   
       data kpds5(200)/"SDTZ"/
c      Ice-free water surface              
       data kpds5(201)/"ICWAT"/
c      Std dev of time tend of zonal wind  
       data kpds5(202)/"SDTU"/
c      Std dev of time tend of merid wind  
       data kpds5(203)/"SDTV"/
c      Downward solar radiation flux       
       data kpds5(204)/"DSWRF"/
c      Downward long wave radiation flux   
       data kpds5(205)/"DLWRF"/
c      Std dev of time tend of spec. hum   
       data kpds5(206)/"SDTQ"/
c      Moisture availability               
       data kpds5(207)/"MSTAV"/
c      Exchange coefficient                
       data kpds5(208)/"SFEXC"/
c      Number of mixed layers next to sfc  
       data kpds5(209)/"MIXLY"/
c      Std dev of time tend of temperature 
       data kpds5(210)/"SDTT"/
c      Upward solar radiation flux         
       data kpds5(211)/"USWRF"/
c      Upward long wave radiation flux     
       data kpds5(212)/"ULWRF"/
c      Amount of non-convective cloud      
       data kpds5(213)/"CDLYR"/
c      Convective precipitation rate       
       data kpds5(214)/"CPRAT"/
c      Temperature tendency by all physics 
       data kpds5(215)/"TTDIA"/
c      Temperature tendency by all radiatio
       data kpds5(216)/"TTRAD"/
c      Temperature tendency by nonrad physi
       data kpds5(217)/"TTPHY"/
c      Precipitation index                 
       data kpds5(218)/"PREIX"/
c      Std dev of IR T over 1x1 deg area   
       data kpds5(219)/"TSD1D"/
c      Natural log of surface pressure     
       data kpds5(220)/"NLSGP"/
c      Std dev of time tend of rel hum     
       data kpds5(221)/"SDTRH"/
c      5-wave geopotential height          
       data kpds5(222)/"5WAVH"/
c      Plant canopy surface water          
       data kpds5(223)/"CWAT"/
c      Maximum stomato plant resistance    
       data kpds5(224)/"PLTRS"/
c      RH-type cloud cover                 
       data kpds5(225)/"RHCLD"/
c      Blackadar's mixing length scale     
       data kpds5(226)/"BMIXL"/
c      Asymptotic mixing length scale      
       data kpds5(227)/"AMIXL"/
c      Potential evaporation               
       data kpds5(228)/"PEVAP"/
c      Snow melt heat flux                 
       data kpds5(229)/"SNOHF"/
c      Snow sublimation heat fulx          
       data kpds5(230)/"SNOEV"/
c      Convective cloud mass flux          
       data kpds5(231)/"MFLUX"/
c      Downward total radiation flux       
       data kpds5(232)/"DTRF"/
c      Upward total radiation flux         
       data kpds5(233)/"UTRF"/
c      Baseflow-groundwater runoff         
       data kpds5(234)/"BGRUN"/
c      Storm surface runoff                
       data kpds5(235)/"SSRUN"/
       data kpds5(236)/" "/
c      Total column ozone concentration    
       data kpds5(237)/"OZONE"/
c      Snow cover                          
       data kpds5(238)/"SNOC"/
c      Snow temperature                    
       data kpds5(239)/"SNOT"/
c      Permanent snow points               
       data kpds5(240)/"GLCR"/
c      Large scale condensation heating rat
       data kpds5(241)/"LRGHR"/
c      Deep convective heating rate        
       data kpds5(242)/"CNVHR"/
c      Deep convective moistening rate     
       data kpds5(243)/"CNVMR"/
c      Shallow convective heating rate     
       data kpds5(244)/"SHAHR"/
c      Shallow convective moistening rate  
       data kpds5(245)/"SHAMR"/
c      Vertical diffusion heating rate     
       data kpds5(246)/"VDFHR"/
c      Vertical diffusion zonal accel      
       data kpds5(247)/"VDFUA"/
c      Vertical diffusion meridional accel 
       data kpds5(248)/"VDFVA"/
c      Vertical diffusion moistening rate  
       data kpds5(249)/"VDFMR"/
c      Solar radiative heating rate        
       data kpds5(250)/"SWHR"/
c      Longwave radiative heating rate     
       data kpds5(251)/"LWHR"/
c      Drag coefficient                    
       data kpds5(252)/"CD"/
c      Friction velocity                   
       data kpds5(253)/"FRICV"/
c      Richardson number                   
       data kpds5(254)/"RI"/
       data kpds5(255)/" "/
       end
c

       subroutine k5toa(i,name)

       character*8 kpds5(0:255)
       character*(*) name
       common /cname5/kpds5
       name = kpds5(i)
       return
       end

       subroutine atok5(name,i)

       character*8 kpds5(0:255)
       character*(*) name
       integer atoi
       common /cname5/kpds5

       i = atoi(name)
       if (i.gt.9) return

       do 10 i = 0, 255
          if (name.eq.kpds5(i)) return
10     continue
       i = -1
       return
       end


        integer function atoi(st)
c
c       Fortran version of C function atoi()
c
        character*(*) st
        integer i,n,sign,lenst

        sign = 1
        n = 0
        lenst = len(st)

c       skip leading blanks

        i = 1
10      if (i.gt.lenst) goto 20
            if (st(i:i).ne.' ') goto 20
            i = i + 1
            goto 10

20      if (i.gt.lenst) then
            atoi = 0
            return
        endif

c       check for +/-
        if (st(i:i).eq.'-') then
            sign = -1
            i = i + 1
        else if (st(i:i).eq.'+') then
            sign = 1
            i = i + 1
        endif

c       *** digits ***

200     if (i.gt.lenst) goto 300
            if (st(i:i) .lt.'0' .or. st(i:i).gt.'9') goto 300
            n = n*10 + mova2i(st(i:i)) - mova2i('0')
            i = i + 1
            goto 200

300     continue
        atoi = sign * n
        return
        end
